JsonCpp project page | Classes | Namespace | JsonCpp home page

Public Member Functions | List of all members
Json::FastWriter Class Reference

Outputs a Value in JSON format without formatting (not human friendly). More...

`#include <json/writer.h>`

Inheritance diagram for Json::FastWriter:
Collaboration diagram for Json::FastWriter:

## Public Member Functions
| FastWriter ()
| ~FastWriter () override=default
void | enableYAMLCompatibility ()
void | dropNullPlaceholders ()
| Drop the "null" string from the writer's output for nullValues. More...
void | omitEndingLineFeed ()
String | write (const Value &root) override
Public Member Functions inherited from Json::Writer
virtual | ~Writer ()

## Detailed Description

Outputs a Value in JSON format without formatting (not human friendly).

The JSON document is written in a single line. It is not intended for 'human' consumption, but may be useful to support feature such as RPC where bandwidth is limited.

See also
  Reader, Value

Deprecated:
  Use StreamWriterBuilder.

Definition at line 170 of file writer.h.

## Constructor & Destructor Documentation

## ◆ FastWriter()

Json::FastWriter::FastWriter | ( |  | ) |
| default

## ◆ ~FastWriter()

Json::FastWriter::~FastWriter | ( |  | ) |
| overridedefault

## Member Function Documentation

## ◆ dropNullPlaceholders()

void Json::FastWriter::dropNullPlaceholders | ( |  | ) |

Drop the "null" string from the writer's output for nullValues.

Strictly speaking, this is not valid JSON. But when the output is being fed to a browser's JavaScript, it makes for smaller output and the browser can handle the output just fine.

Definition at line 369 of file json_writer.cpp.

## ◆ enableYAMLCompatibility()

void Json::FastWriter::enableYAMLCompatibility | ( |  | ) |

Definition at line 367 of file json_writer.cpp.

## ◆ omitEndingLineFeed()

void Json::FastWriter::omitEndingLineFeed | ( |  | ) |

Definition at line 371 of file json_writer.cpp.

## ◆ write()

String Json::FastWriter::write | ( | const Value & | root | ) |
| overridevirtual

Implements Json::Writer.

Definition at line 373 of file json_writer.cpp.

The documentation for this class was generated from the following files:

- include/json/writer.h
- src/lib_json/json_writer.cpp